summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Caujolle-Bert <f1rmb@users.sourceforge.net>2002-06-21 23:36:50 +0000
committerDaniel Caujolle-Bert <f1rmb@users.sourceforge.net>2002-06-21 23:36:50 +0000
commit172a84d33e8d0f3f9c545eff32a222f0674c2609 (patch)
tree430511a5b8056c0e43f677f6f21ed96f2e238588
parent3b8d61a7b11ca1869789d0bbf192fe2b9c97d429 (diff)
downloadxine-lib-172a84d33e8d0f3f9c545eff32a222f0674c2609.tar.gz
xine-lib-172a84d33e8d0f3f9c545eff32a222f0674c2609.tar.bz2
Add a small shell script which check about source tarball content (if it's
complete). Also, a new 'make release-check' is added, which run this script. I just see that some file are always missing in tarball (Arm guys won't happy ;-) ). CVS patchset: 2122 CVS date: 2002/06/21 23:36:50
-rw-r--r--Makefile.am6
-rw-r--r--configure.in3
-rwxr-xr-xmisc/relchk.sh.in58
3 files changed, 66 insertions, 1 deletions
diff --git a/Makefile.am b/Makefile.am
index b72e413e5..7bc95cb7c 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -36,6 +36,12 @@ prune-cache:
-rm -f config.cache
+release-check: misc/relchk.sh
+ @mv -f .cvsversion .cvsversion.tmp
+ @./configure && $(SHELL) misc/relchk.sh
+ @mv -f .cvsversion.tmp .cvsversion
+
+
mostlyclean-generic:
-rm -f *~ \#* .*~ .\#*
-rm -f $(PACKAGE)_$(VERSION).tar.gz
diff --git a/configure.in b/configure.in
index ed6828182..9bf7faa50 100644
--- a/configure.in
+++ b/configure.in
@@ -1036,10 +1036,11 @@ doc/hackersguide/Makefile
misc/xine-lib.spec
misc/SlackBuild
misc/build_rpms.sh
+misc/relchk.sh
misc/fonts/Makefile
intl/Makefile
po/Makefile.in],
-[chmod +x ./misc/SlackBuild ./misc/build_rpms.sh; rm -f include/xine.h; echo '/* !! DO NO EDIT THIS FILE, it is automatically generated */' > include/xine.h && cat include/xine.h.tmpl >> include/xine.h])
+[chmod +x ./misc/SlackBuild ./misc/build_rpms.sh ./misc/relchk.sh; rm -f include/xine.h; echo '/* !! DO NO EDIT THIS FILE, it is automatically generated */' > include/xine.h && cat include/xine.h.tmpl >> include/xine.h])
dnl
dnl Hack the libtool script (if required).
diff --git a/misc/relchk.sh.in b/misc/relchk.sh.in
new file mode 100755
index 000000000..b20a39daf
--- /dev/null
+++ b/misc/relchk.sh.in
@@ -0,0 +1,58 @@
+#!/bin/sh
+##
+## A simple compare directory content utility.
+##
+topdir="`pwd`"
+distdir="@TAR_NAME@"
+log="$topdir/dist-log"
+logerror="$topdir/dist-errors"
+
+getdir() {
+ for file in `ls`; do
+
+ if test -d $file -a $file != "CVS" -a $file != $distdir; then
+ (cd $file && getdir) || (cd ..)
+ else
+ if test ! -d $file -a \
+ $file != $log -a \
+ $file != $logerror -a \
+ $file != "CVS" -a \
+ $file != ${0##*/} -a \
+ $file != "$distdir.tar.gz"; then
+
+ orifile=`pwd`/$file
+
+ distfile=$topdir/$distdir${orifile##*$topdir}
+
+ echo -e "check:\t$orifile\nand\t$distfile" >> $log
+
+ if test ! -e $distfile; then
+ missingfile=${orifile##$topdir}
+ echo "${missingfile#/} is missing in tarball" >> $logerror
+ fi
+
+ fi
+ fi
+
+ done
+}
+
+main() {
+ rm -f $log $logerror
+
+ ./cvscompile.sh $CONFIG_ARGS && make dist && mv $distdir.tar.gz $distdir.tmp.tar.gz
+ make clean && make distclean && mv $distdir.tmp.tar.gz $distdir.tar.gz
+ tar -xzf $distdir.tar.gz
+
+ echo "Check is running, be patient..."
+ getdir
+
+ rm -rf $distdir
+ rm -f $distdir.tar.gz
+
+ echo " * Log is ${log##*/}"
+ echo " * Error log is ${logerror##*/}"
+
+}
+
+main